# Generated by Django 5.0.4 on 2024-05-06 20:22


from datetime import datetime
from pytz import timezone

from django.db import migrations, models
from django.db.migrations import RunPython


def replace_date_with_datetime(apps, schema_editor):
    model = apps.get_model('colloscope', 'Colle')

    for colle in model.objects.all():
        print(colle.slot.time, end="-->")
        colle.datetime = datetime.combine(colle.date, colle.slot.time)
        colle.datetime = timezone("Europe/Paris").localize(colle.datetime)
        print(colle.datetime)
        colle.save()


class Migration(migrations.Migration):

    dependencies = [
        ('colloscope', '0016_alter_colle_groups'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='slot',
            options={'ordering': ['subject', 'colleur', 'day', 'time'], 'verbose_name_plural': 'slots'},
        ),
        migrations.AlterModelOptions(
            name='subject',
            options={'ordering': ['description']},
        ),
        migrations.AddField(
            model_name='colle',
            name='datetime',
            field=models.DateTimeField(default=datetime(1970, 1, 1, 0, 0, 0)),
        ),
        migrations.RunPython(replace_date_with_datetime),
        migrations.RemoveField(
            model_name='colle',
            name='date',
        )
    ]
